Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface ValueDefOperations

All Superinterfaces:
  ContainedOperations, ContainerOperations, IDLTypeOperations, IRObjectOperations

All Known Subinterfaces:
  ValueDef

All Known Implementing Classes:
  ValueDefPOA

public interface ValueDefOperations
extends ContainerOperations, ContainedOperations, IDLTypeOperations

A ValueDef object represents a value definition.

Method Summary
`ValueDef[]` | `abstract_base_values()` The abstract_base_values attribute lists the abstract value types from which this value inherits.
`void` | `abstract_base_values(ValueDef[] value)` The abstract_base_values attribute lists the abstract value types from which this value inherits.
`ValueDef` | `base_value()` The base_value attribute describes the value type from which this value inherits.
`void` | `base_value(ValueDef value)` The base_value attribute describes the value type from which this value inherits.
`AttributeDef` | `create_attribute(java.lang.String id, java.lang.String name, java.lang.String version, IDLType type, AttributeMode mode)` The create_attribute operation returns a new AttributeDef contained in the ValueDef on which it is invoked.
`OperationDef` | `create_operation(java.lang.String id, java.lang.String name, java.lang.String version, IDLType result, OperationMode mode, ParameterDescription[] params, ExceptionDef[] exceptions, java.lang.String[] contexts)` The create_operation operation returns a new OperationDef contained in the ValueDef on which it is invoked.
`ValueMemberDef` | `create_value_member(java.lang.String id, java.lang.String name, java.lang.String version, IDLType type, short access)` The create_value_member operation returns a new ValueMemberDef contained in the ValueDef on which it is invoked.
`FullValueDescription` | `describe_value()` The describe_value operation returns a FullValueDescription describing the value, including its operations and attributes.
`Initializer[]` | `initializers()` The initializers attribute lists the initializers this value type supports.
`void` | `initializers(Initializer[] value)` The initializers attribute lists the initializers this value type supports.
`boolean` | `is_a(java.lang.String id)` The is_a operation returns TRUE if the value on which it is invoked either is identical to or inherits, directly or indirectly, from the interface or value identified by its id parameter.
`boolean` | `is_abstract()` The is_abstract attribute is TRUE if the value is an abstract value type.
`void` | `is_abstract(boolean value)` The is_abstract attribute is TRUE if the value is an abstract value type.
`boolean` | `is_custom()` The is_custom attribute is TRUE if the value uses custom marshaling.
`void` | `is_custom(boolean value)` The is_custom attribute is TRUE if the value uses custom marshaling.
`boolean` | `is_truncatable()` The is_truncatable attribute is TRUE if the value inherits "safely" (i.e., supports truncation) from another value.
`void` | `is_truncatable(boolean value)` The is_truncatable attribute is TRUE if the value inherits "safely" (i.e., supports truncation) from another value.
`InterfaceDef[]` | `supported_interfaces()` The supported_interfaces attribute lists the interfaces which this value type supports.
`void` | `supported_interfaces(InterfaceDef[] value)` The supported_interfaces attribute lists the interfaces which this value type supports.

Methods inherited from interface org.omg.CORBA.ContainerOperations
`contents, create_abstract_interface, create_alias, create_constant, create_enum, create_exception, create_interface, create_local_interface, create_module, create_native, create_struct, create_union, create_value_box, create_value, describe_contents, lookup_name, lookup`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Method Detail

### supported_interfaces

    public InterfaceDef[] supported_interfaces()

  The supported_interfaces attribute lists the interfaces which this value type supports.

### supported_interfaces

    public void supported_interfaces(InterfaceDef[] value)

  The supported_interfaces attribute lists the interfaces which this value type supports.

### initializers

    public Initializer[] initializers()

  The initializers attribute lists the initializers this value type supports.

### initializers

    public void initializers(Initializer[] value)

  The initializers attribute lists the initializers this value type supports.

### base_value

    public ValueDef base_value()

  The base_value attribute describes the value type from which this value inherits.

### base_value

    public void base_value(ValueDef value)

  The base_value attribute describes the value type from which this value inherits.

### abstract_base_values

    public ValueDef[] abstract_base_values()

  The abstract_base_values attribute lists the abstract value types from which this value inherits.

### abstract_base_values

    public void abstract_base_values(ValueDef[] value)

  The abstract_base_values attribute lists the abstract value types from which this value inherits.

### is_abstract

    public boolean is_abstract()

  The is_abstract attribute is TRUE if the value is an abstract value type.

### is_abstract

    public void is_abstract(boolean value)

  The is_abstract attribute is TRUE if the value is an abstract value type.

### is_custom

    public boolean is_custom()

  The is_custom attribute is TRUE if the value uses custom marshaling.

### is_custom

    public void is_custom(boolean value)

  The is_custom attribute is TRUE if the value uses custom marshaling.

### is_truncatable

    public boolean is_truncatable()

  The is_truncatable attribute is TRUE if the value inherits "safely" (i.e., supports truncation) from another value.

### is_truncatable

    public void is_truncatable(boolean value)

  The is_truncatable attribute is TRUE if the value inherits "safely" (i.e., supports truncation) from another value.

### is_a

    public boolean is_a(java.lang.String id)

  The is_a operation returns TRUE if the value on which it is invoked either is identical to or inherits, directly or indirectly, from the interface or value identified by its id parameter. Otherwise it returns FALSE.

### describe_value

    public FullValueDescription describe_value()

  The describe_value operation returns a FullValueDescription describing the value, including its operations and attributes.

### create_value_member

    public ValueMemberDef create_value_member(java.lang.String id,
                                              java.lang.String name,
                                              java.lang.String version,
                                              IDLType type,
                                              short access)

  The create_value_member operation returns a new ValueMemberDef contained in the ValueDef on which it is invoked.

### create_attribute

    public AttributeDef create_attribute(java.lang.String id,
                                         java.lang.String name,
                                         java.lang.String version,
                                         IDLType type,
                                         AttributeMode mode)

  The create_attribute operation returns a new AttributeDef contained in the ValueDef on which it is invoked.

### create_operation

    public OperationDef create_operation(java.lang.String id,
                                         java.lang.String name,
                                         java.lang.String version,
                                         IDLType result,
                                         OperationMode mode,
                                         ParameterDescription[] params,
                                         ExceptionDef[] exceptions,
                                         java.lang.String[] contexts)

  The create_operation operation returns a new OperationDef contained in the ValueDef on which it is invoked.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD